Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Interface IInventory

All Known Subinterfaces:
  ISidedInventory

All Known Implementing Classes:
  EntityMinecart, InventoryBasic, InventoryCrafting, InventoryCraftResult, InventoryEnderChest, InventoryLargeChest, InventoryMerchant, InventoryPlayer, TileEntityBeacon, TileEntityBrewingStand, TileEntityChest, TileEntityDispenser, TileEntityFurnace

    public interface IInventory

Method Summary
`void` | `closeChest()`
`ItemStack` | `decrStackSize(int var1, int var2)` Removes from an inventory slot (first arg) up to a specified number (second arg) of items and returns them in a new stack.
`int` | `getInventoryStackLimit()` Returns the maximum stack size for a inventory slot.
`String` | `getInvName()` Returns the name of the inventory.
`int` | `getSizeInventory()` Returns the number of slots in the inventory.
`ItemStack` | `getStackInSlot(int var1)` Returns the stack in slot i
`ItemStack` | `getStackInSlotOnClosing(int var1)` When some containers are closed they call this on each slot, then drop whatever it returns as an EntityItem - like when you close a workbench GUI.
`boolean` | `isUseableByPlayer(EntityPlayer var1)` Do not make give this method the name canInteractWith because it clashes with Container
`void` | `onInventoryChanged()` Called when an the contents of an Inventory change, usually
`void` | `openChest()`
`void` | `setInventorySlotContents(int var1, ItemStack var2)` Sets the given item stack to the specified slot in the inventory (can be crafting or armor sections).

Method Detail

### getSizeInventory

    int getSizeInventory()

  Returns the number of slots in the inventory.

### getStackInSlot

    ItemStack getStackInSlot(int var1)

  Returns the stack in slot i

### decrStackSize

    ItemStack decrStackSize(int var1,
                            int var2)

  Removes from an inventory slot (first arg) up to a specified number (second arg) of items and returns them in a new stack.

### getStackInSlotOnClosing

    ItemStack getStackInSlotOnClosing(int var1)

  When some containers are closed they call this on each slot, then drop whatever it returns as an EntityItem - like when you close a workbench GUI.

### setInventorySlotContents

    void setInventorySlotContents(int var1,
                                  ItemStack var2)

  Sets the given item stack to the specified slot in the inventory (can be crafting or armor sections).

### getInvName

    String getInvName()

  Returns the name of the inventory.

### getInventoryStackLimit

    int getInventoryStackLimit()

  Returns the maximum stack size for a inventory slot. Seems to always be 64, possibly will be extended. *Isn't this more of a set than a get?*

### onInventoryChanged

    void onInventoryChanged()

  Called when an the contents of an Inventory change, usually

### isUseableByPlayer

    boolean isUseableByPlayer(EntityPlayer var1)

  Do not make give this method the name canInteractWith because it clashes with Container

### openChest

    void openChest()

### closeChest

    void closeChest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD